vlib work

vcom -93 -pedanticerrors -lint +acc=v ../ButtonFilter.vhdl

vcom -93 ButtonFilter_TB.vhdl
vsim -t 1ns -lib work ButtonFilter_TB

configure wave -gridperiod 5000;
configure wave -griddelta 10
configure wave -signalnamewidth 1

view wave -undock

add wave -height 20 -color orange				clk
add wave -height 20 -color gold					reset

add wave -divider "Filter"
add wave -height 20 -color gold					buttonArray
add wave -height 20 -color gold					pressArray

add wave -divider "Tick Gen"
add wave -height 20 -color gold -unsigned		UUT/tickCount
add wave -height 20 -color gold					UUT/tick

add wave -divider "Switch 0"
add wave -height 20 -color gold					UUT/ButtonGenerate__0/syncReg
add wave -height 20 -color gold					UUT/ButtonGenerate__0/counter
add wave -height 20 -color gold					UUT/ButtonGenerate__0/state
add wave -height 20 -color gold					UUT/ButtonGenerate__0/prevState

run 100 ms
